# Brugerhistorier: https://www.nspop.dk/pages/viewpage.action?pageId=203267140

Feature: Test af oprettelse af sløring

  Scenario: Som en systembruger
    When en "systembruger" opretter en slørring for en borger med CPR "010203-1234"
    Then så bliver slørringen oprettet

  Scenario: Som en sundhedsfaglig
    When en "sundhedsfaglig" opretter en slørring for en borger med CPR "010203-1234"
    Then så bliver slørringen oprettet

  Scenario: Som en borger
    When en "borger" opretter en slørring for en borger med CPR "010203-1234"
    Then så fejler oprettelsen af slørringen med forkert brugertype

  Scenario: Som en systembruger
    When en "systembruger" opretter en slørring for en borger med CPR "010203-1234", som udløb i går
    Then så har "010203-1234" ikke længere aktuelle slørring over for det cvr-nummer

  # - Forlænge slørring: Kan ikke testes i integrationstests
  # - Forkorte slørring: Kan ikke testes i integrationstests